export default function addEventListenerWrap(target, eventType, cb, option) {
  if (target.addEventListener) {
    let opt = option;

    if (opt === undefined && (eventType === 'touchstart' || eventType === 'touchmove' || eventType === 'wheel')) {
      opt = {
        passive: false
      };
    }

    target.addEventListener(eventType, cb, opt);
  }

  return {
    remove: () => {
      if (target.removeEventListener) {
        target.removeEventListener(eventType, cb);
      }
    }
  };
}